
package be.cylab.java.wowa.training;

import com.owlike.genson.GenericType;
import com.owlike.genson.Genson;

import java.io.*;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * @author tibo
 */
public class Example {

    public static void main(String[] args) throws IOException {
        Logger LOGGER = Logger.getLogger(Trainer.class.getName());
        LOGGER.setLevel(Level.INFO);
        TrainerParameters parameters = new TrainerParameters(LOGGER, 100, 60, 10, TrainerParameters.SELECTION_METHOD_RWS, 250);
        Trainer trainer = new Trainer(parameters);
        Genson genson = new Genson();

        String dataJson = new String(Files.readAllBytes(Paths.get("/home/alex/Documents/java-wowa-training/ressources/webshell_data.json")));
        List<double[]> data = genson.deserialize(dataJson, new GenericType<List<double[]>>(){});
        String expectedJson = new String(Files.readAllBytes(Paths.get("/home/alex/Documents/java-wowa-training/ressources/webshell_expected.json")));
        double[] expected = genson.deserialize(expectedJson, double[].class);

        //String expectedJson = new String(Files.readAllBytes(Paths.get("/home/alex/Documents/wowa-training/tests/webshell_expected.json")));
        //double[] expected = genson.deserialize(expectedJson, new GenericType<double[]>() {});

        //String expectedJsonNew = genson.serialize(expected, new GenericType<double[]>(){});
        //BufferedWriter writer = new BufferedWriter(new FileWriter("/home/alex/Documents/java-wowa-training/ressources/webshell_expected.json"));
        //writer.write(expectedJson);
        //writer.close();

        SolutionDistance solution = trainer.run(data, expected);
        System.out.println(solution);




    }



}
